# Android エミュレーター向け Monaca デバッガー

ここでは 「 Android SDK 」 の AVD ( Android Virtual Device / Android 仮想端末 ) と呼ばれる Android エミュレーター上で、Monaca デバッガーを動作させる方法を紹介します。これを使えば、Android アプリのシミュレートを PC 上で行えます。また、複数の Android 端末でアプリの検証を行いたい場合もこの方法が有用です。

## ステップ 1 : Android 仮想端末のセットアップ

1. [Android Studio](http://developer.android.com/sdk/index.html)をダウンロードして、インストールします。
2. Android Studio を起動します。
3. 新規のプロジェクトを作成するか、または、既存のプロジェクトを開きます。
4. `AVD Manager` をクリックして、\[ Android Virtual Device Manager ] ダイアログを表示します。

![](/files/-MgZg_8kWzLPA_kWXY1p)

&#x20;  5\. `+ Create Virtual Device` をクリックします。

&#x20;  6\. 使用する Android 端末を選択して、`Next` をクリックします。

![](/files/-MgZgk3ldEbyi8GJGDfm)

&#x20;  7\. システムイメージを選択して ( 場合によっては、最初にダウンロード )、`Next` をクリックします。

![](/files/-MgZgmfk5LWBN_FCYVP0)

&#x20;  8\. 仮想端末の設定を行います。`Show Advanced Settings` をクリックして、仮想端末の詳細設定 ( メモリーとストレージのサイズ、端末のフレーム設定、キーボード入力の可否など ) を行います。

![](/files/-MgZgqahJ701kOIMLwui)

![](/files/-MgZgrv03pPQZL47KO-f)

&#x20;   9\. 設定後、 `Finish` をクリックします。

## ステップ 2 : Android 向けのカスタムビルド版 Monaca デバッガーのビルド

1. Monaca クラウド IDE へ行き、[Android 向けのカスタムビルド版 Monacaデバッガー](/products_guide/debugger/installation/debugger_android.md)をビルドします。詳細は、カスタムビルド版 Monaca デバッガーのビルドとインストールをご確認ください。
2. ビルドされたデバッガーのファイルをダウンロードして、Google Drive、Dropbox などのクラウドストレージへ、ダウンロードしたファイルをアップロードします。
3. アップロードしたファイルのダウンロードリンクを確認しておきます (仮想端末上で、後ほど、このリンクを使用します )。

## ステップ 3 : Monaca デバッガーのインストール

1. `AVD Manager` を選択して、対象の仮想端末を起動します。

![](/files/-MgZh63RK9cHVbFflvXp)

&#x20;   2\. 仮想端末上でブラウザーを起動させ、[ステップ 2](/products_guide/debugger/installation/debugger_emulator.md#step-2) で確認したダウンロードリンクを開き、Android 向けのカスタムビルド版 Monaca デバッガーをダウンロードします。

![](/files/-MgZhGI8wvF6OpJ5HMC7)

&#x20;   3\. ダウンロードしたファイルをクリックして、デバッガーをインストールします。

![](/files/-MgZhLZMXT_5hSvHnIe5)

&#x20;   4\. インストール ウィザードが起動します。

![](/files/-MgZhNEb7fHywOGqSkJi)

&#x20;   5\. インストール後、アプリの一覧画面に、Monaca デバッガーが表示されていることを確認します。

![](/files/-MgZhP9lsk6OvN0CkSGY)

## ステップ 4 : Monaca デバッガー上でのプロジェクトの起動

1. Monaca デバッガーを起動させ、Monaca アカウントを使用して、サインインします。

![](/files/-MgZhS5-94WqPxD3QmSV)

&#x20;   2\. Monaca デバッガー上で、実行するプロジェクトをクリックします。

![](/files/-MgZhY2vOzku0zhKi4L6)

&#x20;   3\. これで、プロジェクトの検証の準備が整いました。アプリの開発における Monaca デバッガーの使用方法・具体例に関しては、[機能の概要](/products_guide/debugger/features.md) と [使用例](/products_guide/debugger/debug.md) をご確認ください。

![](/files/-MgZhZz29VGqb0GG5po7)

参考ページ

* [Android 向けの Monaca デバッガー](/products_guide/debugger/installation/debugger_android.md)
* [iOS 向け Monaca デバッガー](/products_guide/debugger/installation/debugger_ios.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://ja.docs.monaca.io/products_guide/debugger/installation/debugger_emulator.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
